<template>
  <div>
    <v-container grid-list-lg>
      <v-layout row wrap>
        <v-flex xs12 md6 lg3 v-for="product of products" :key="product.id">
          <product-thumbnail :product="product"/>
        </v-flex>
      </v-layout>
    </v-container>
  </div>
</template>

<script>
import ProductThumbnail from "@/components/ProductThumbnail";

export default {
  components: {
    ProductThumbnail
  },

  async mounted() {
    this.products = await this.$productService.getAll();
    this.products = this.products.slice(0, 10);
  },

  data() {
    return {
      products: []
    };
  }
};
</script>

<style>
.product {
  min-height: 50px;
  min-width: 80px;
  max-height: 200px;
  max-width: 200px;
  margin: 10px;
}
</style>
